automake-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Automake-commit] [SCM] GNU Automake branch, next, updated. v1.10b-14-gd


From: Ralf Wildenhues
Subject: [Automake-commit] [SCM] GNU Automake branch, next, updated. v1.10b-14-gdd8b294
Date: Tue, 07 Apr 2009 21:20:48 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU Automake".

http://git.sv.gnu.org/gitweb/?p=automake.git;a=commitdiff;h=dd8b2944b9217841c2c232c3f2794c3f6296e3a2

The branch, next has been updated
       via  dd8b2944b9217841c2c232c3f2794c3f6296e3a2 (commit)
      from  aea50a7d8a813dbda53a8fedec284cf7bf4221c2 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit dd8b2944b9217841c2c232c3f2794c3f6296e3a2
Author: Florian Briegel <address@hidden>
Date:   Tue Apr 7 23:16:01 2009 +0200

    Fix renamed objects with subdir-objects and other languages.
    
    * automake.in: Fixed bug when building with renamed objects
    and foreign languages.
    * tests/suffix13.test: New test.
    * tests/Makefile.am: Adjust.
    * THANKS: Update.
    Reports by Florian Briegel and Stepan Kasal.
    
    Signed-off-by: Ralf Wildenhues <address@hidden>

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog           |   12 ++++++++
 THANKS              |    1 +
 automake.in         |   11 +++++++-
 tests/Makefile.am   |    1 +
 tests/Makefile.in   |    1 +
 tests/suffix13.test |   75 +++++++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 100 insertions(+), 1 deletions(-)
 create mode 100755 tests/suffix13.test

diff --git a/ChangeLog b/ChangeLog
index e574108..d5e8ba3 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,15 @@
+2009-04-07  Florian Briegel  <address@hidden>  (tiny change)
+           Stepan Kasal  <address@hidden>
+           Ralf Wildenhues  <address@hidden>
+
+       Fix renamed objects with subdir-objects and other languages.
+       * automake.in: Fixed bug when building with renamed objects
+       and foreign languages.
+       * tests/suffix13.test: New test.
+       * tests/Makefile.am: Adjust.
+       * THANKS: Update.
+       Reports by Florian Briegel and Stepan Kasal.
+
 2009-04-07  Ralf Wildenhues  <address@hidden>
 
        Do not remove texinfo outputs upon mostlyclean.
diff --git a/THANKS b/THANKS
index 9f91c9c..fda6f74 100644
--- a/THANKS
+++ b/THANKS
@@ -97,6 +97,7 @@ Erik Lindahl          address@hidden
 Esben Haabendal Soerensen address@hidden
 Ezra Peisach           address@hidden
 Flavien Astraud                address@hidden
+Florian Briegel                address@hidden
 Francesco Salvestrini  address@hidden
 François Pinard               address@hidden
 Fred Fish              address@hidden
diff --git a/automake.in b/automake.in
index 1be3e18..2577ffb 100755
--- a/automake.in
+++ b/automake.in
@@ -1919,7 +1919,16 @@ sub handle_single_transform ($$$$$%)
            {
                my $obj_sans_ext = substr ($object, 0,
                                           - length ($this_obj_ext));
-               my $full_ansi = $full;
+               my $full_ansi;
+               if ($directory ne '')
+                 {
+                       $full_ansi = $directory . '/' . $base . $extension;
+                 }
+               else
+                 {
+                       $full_ansi = $base . $extension;
+                 }
+
                if ($lang->ansi && option 'ansi2knr')
                  {
                    $full_ansi =~ s/$KNOWN_EXTENSIONS_PATTERN$/\$U$&/;
diff --git a/tests/Makefile.am b/tests/Makefile.am
index b0bb273..d90eb6c 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -645,6 +645,7 @@ suffix9.test \
 suffix10.test \
 suffix11.test \
 suffix12.test \
+suffix13.test \
 symlink.test \
 symlink2.test \
 symlink3.test \
diff --git a/tests/Makefile.in b/tests/Makefile.in
index e3c9206..e2fdace 100644
--- a/tests/Makefile.in
+++ b/tests/Makefile.in
@@ -877,6 +877,7 @@ suffix9.test \
 suffix10.test \
 suffix11.test \
 suffix12.test \
+suffix13.test \
 symlink.test \
 symlink2.test \
 symlink3.test \
diff --git a/tests/suffix13.test b/tests/suffix13.test
new file mode 100755
index 0000000..dda4cfb
--- /dev/null
+++ b/tests/suffix13.test
@@ -0,0 +1,75 @@
+#! /bin/sh
+# Copyright (C) 2002, 2003, 2006, 2009  Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Automake; see the file COPYING.  If not, write to
+# the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+
+# Tests that Automake understands suffix rules with renamed objects
+# and subdir objects.
+# Reported by Florian Briegel.
+
+. ./defs || exit 1
+
+set -e
+
+cat >>configure.in <<EOF
+AC_PROG_CC
+AM_PROG_CC_C_O
+AC_OUTPUT
+EOF
+
+cat >Makefile.am << 'END'
+AUTOMAKE_OPTIONS = subdir-objects
+SUFFIXES = .baz .c
+.baz.c:
+       case $@ in sub/*) $(MKDIR_P) sub;; *) :;; esac
+       cp $< $@
+
+DISTCLEANFILES = sub/bar.c
+
+bin_PROGRAMS = foo
+foo_SOURCES = foo.c sub/bar.baz
+foo_CFLAGS =
+END
+
+mkdir sub
+cat > sub/bar.baz <<'END'
+extern int foo ();
+int main () { return foo (); }
+END
+cat > foo.c <<'END'
+int foo () { return 0; }
+END
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE -a
+./configure
+$MAKE
+
+$MAKE distcheck
+$MAKE distclean
+
+# Should also work without subdir-objects
+
+sed '/subdir-objects/d' < Makefile.am > t
+mv -f t Makefile.am
+$AUTOMAKE --force
+./configure
+$MAKE
+$MAKE distcheck
+:


hooks/post-receive
--
GNU Automake




reply via email to

[Prev in Thread] Current Thread [Next in Thread]